> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 地理位置定位

> 地理位置定位允许您根据“国家/地区”、“城市”、“州”、“ASN”或“邮政编码”来定位具体的位置

## 国家/地区定位

您可以通过在用户名中添加国家/地区代码来定位特定国家/地区，例如 `username-country-country_code`。仅使用两个小写字母的国家/地区代码。

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us:<zone_password>
```

### EU Specific Targeting

<Note> 网络解锁器 only </Note>

网络解锁器 allows random peer selection specifically from **EU-member countries** via the use of the `-country-eu` flag. When needing to target EU peers, this will improve success rates over targeting from just one EU country, while still keeping the peer within the EU.

## 城市定位

<Note> Residential proxies only. For DC & ISP networks you need to configure your zone and select the cities you would like to have proxies in. Using this parameter without pre-selection in DC & ISP is not permitted </Note>

您可以通过在用户名中添加城市名称来定位某个国家/地区的特定城市，例如 `username-country-country_code-city-city_code`。city\_code 必须是小写且不含空格，例如 `-city-sanfrancisco`

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us-city-sanfrancisco:<zone_password>
```

## 州定位

<Note> Residential proxies only </Note>

对于相关郡县（例如美国和澳大利亚），您可以通过添加 `username-country-country_code-state-state_code` 来定位一个国家/地区的某个州。仅使用两个小写字母的州代码。

<CodeGroup>
  ```sh Country: USA theme={null}
  curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us-state-ny:<zone_password> 
  ```

  ```sh Country: Australia theme={null}
  curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-au-state-wa:<zone_password>
  ```
</CodeGroup>

## ASN 定位

<Note> Residential proxies only </Note>

您可以从 ASN 列表中定位特定的 ASN: [http://bgp.potaroo.net/cidr/autnums.html](http://bgp.potaroo.net/cidr/autnums.html) 选择 ASN 国家/地区的方法如下：-asn-ASN\_NUMBER

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-asn-56386:<zone_password>
```

## 邮政编码定位

<Note> Residential proxies only </Note>

您可以通过特定区域的邮政编码来定位代理对等方。 以下是定位来自美国孟菲斯且邮政编码为12345的 IP 的示例：

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-city-memphis-zip-12345:<zone_password>
```
